::-moz-selection {
    /* Code for Firefox */
    background: rgb(0, 176, 31);
    color: rgb(255, 255, 255);
}
::selection {
    background: rgb(0, 176, 31);
    color: rgb(255, 255, 255);
}

/* BASIC PAGE FORMATTING */
/* body */
body {
    background-color: rgb(215, 225, 250);
    text-align: center;
}
a {
    color: rgb(0, 149, 67);
}
code {
    font-size: 110%;
    background-color: rgba(18, 128, 0, 0.55);
    padding: 1px 2px;
    color: rgb(255, 255, 255);
}
h1 {
    text-shadow:
        2px 2px rgb(118, 215, 255),
        4px 4px rgb(199, 255, 37);
    margin: 9px;
}
h2 {
    margin: 3px;
    font-size: 15pt;
}
p {
    margin: 5px;
}
ul {
    margin: 5px;
    margin-bottom: 13px;
}
/* dateline */
.dateline {
    font-style: italic;
    margin-top: 10px;
    margin-bottom: 10px;
}
/* decoration */
.bg-shadow {
    text-shadow:
        2px 2px rgba(0, 181, 255, 0.52),
        4px 4px rgb(199, 255, 37);
}
.bg-shadow-box {
    box-shadow:
        2px 2px rgba(0, 181, 255, 0.52),
        4px 4px rgb(199, 255, 37);
}
/* nav box - colorful buttons */
nav > a {
    padding: 1px 6px;
    border: 3px outset rgb(111, 158, 255);
    border-radius: 3px;
    text-decoration: none;
    color: rgb(0, 52, 212);
    font-size: larger;
    margin-top: 20px;
    display: inline;
    justify-content: center;
    align-items: center;
}
/* footer */
footer {
    border-top: solid 2px rgb(0, 0, 0);
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin-top: 30px;
    padding-top: 15px;
}
footer > a {
    text-align: center;
}
.center-container {
    display: flex;
    justify-content: center;
    align-items: center;
}
/* content div */
#content {
    border-top: rgb(0, 0, 0) solid 2px;
    width: auto;
    max-width: 800px;
    text-align: justify;
    margin: auto;
}
.highlightOnHover:hover {
    display: block;
    color: red;
    background-color: red;
}
.flexbox {
    display: flex;
    flex-wrap: wrap;
}
